package com.ruoyi.project.sems.safecheck.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 每周安全排查对象 t_spec_weekcheck
 *
 * @author Li
 * @date 2023-08-21
 */
public class TSpecWeekcheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    private String plantCode;

    @Excel(name = "状态", readConverterExp = "0=申请中,1=已通过,2=已取消,3=已作废")
    private Integer status;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "周排查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    /** 安全员用户id */
    private Long checkerId;

    /** 周 */
    @Excel(name = "周")
    private String weekNo;

    /** 安全管理员id */
    private String safeAdminId;



    /** 安全总监id */
    private String safeDirId;


    /** 上周安全风险隐患问题整改核实情况 */
    @Excel(name = "上周安全风险隐患问题整改核实情况")
    private String lastWeekRisk;

    /** 本周主要安全风险隐患和整改情况 */
    @Excel(name = "本周主要安全风险隐患和整改情况")
    private String thisWeekRisk;

    /** 本周安全管理情况评价 */
    @Excel(name = "本周安全管理情况评价")
    private String safeCondition;

    /** 下周工作重点 */
    @Excel(name = "下周工作重点")
    private String nextWeekWork;

    /** 安全管理员姓名 */
    @Excel(name = "安全管理员姓名")
    private String safeAdminName;

    /** 安全管理员意见 */
    @Excel(name = "安全管理员意见")
    private String safeAdminSug;


    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安全管理员日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date safeAdminDate;


    /** 安全总监姓名 */
    @Excel(name = "安全总监姓名")
    private String safeDirName;

    /** 安全总监意见 */
    @Excel(name = "安全总监意见")
    private String safeDirSug;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安全总监日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date safeDirDate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setCheckerId(Long checkerId)
    {
        this.checkerId = checkerId;
    }

    public Long getCheckerId()
    {
        return checkerId;
    }
    public void setWeekNo(String weekNo)
    {
        this.weekNo = weekNo;
    }

    public String getWeekNo()
    {
        return weekNo;
    }
    public void setSafeAdminId(String safeAdminId)
    {
        this.safeAdminId = safeAdminId;
    }

    public String getSafeAdminId()
    {
        return safeAdminId;
    }
    public void setSafeAdminName(String safeAdminName)
    {
        this.safeAdminName = safeAdminName;
    }

    public String getSafeAdminName()
    {
        return safeAdminName;
    }
    public void setSafeDirId(String safeDirId)
    {
        this.safeDirId = safeDirId;
    }

    public String getSafeDirId()
    {
        return safeDirId;
    }
    public void setSafeDirName(String safeDirName)
    {
        this.safeDirName = safeDirName;
    }

    public String getSafeDirName()
    {
        return safeDirName;
    }
    public void setLastWeekRisk(String lastWeekRisk)
    {
        this.lastWeekRisk = lastWeekRisk;
    }

    public String getLastWeekRisk()
    {
        return lastWeekRisk;
    }
    public void setThisWeekRisk(String thisWeekRisk)
    {
        this.thisWeekRisk = thisWeekRisk;
    }

    public String getThisWeekRisk()
    {
        return thisWeekRisk;
    }
    public void setSafeCondition(String safeCondition)
    {
        this.safeCondition = safeCondition;
    }

    public String getSafeCondition()
    {
        return safeCondition;
    }
    public void setNextWeekWork(String nextWeekWork)
    {
        this.nextWeekWork = nextWeekWork;
    }

    public String getNextWeekWork()
    {
        return nextWeekWork;
    }
    public void setSafeAdminSug(String safeAdminSug)
    {
        this.safeAdminSug = safeAdminSug;
    }

    public String getSafeAdminSug()
    {
        return safeAdminSug;
    }
    public void setSafeDirSug(String safeDirSug)
    {
        this.safeDirSug = safeDirSug;
    }

    public String getSafeDirSug()
    {
        return safeDirSug;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSafeAdminDate() {
        return safeAdminDate;
    }

    public void setSafeAdminDate(Date safeAdminDate) {
        this.safeAdminDate = safeAdminDate;
    }

    public Date getSafeDirDate() {
        return safeDirDate;
    }

    public void setSafeDirDate(Date safeDirDate) {
        this.safeDirDate = safeDirDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("checkDate", getCheckDate())
            .append("checkerId", getCheckerId())
            .append("weekNo", getWeekNo())
            .append("safeAdminId", getSafeAdminId())
            .append("safeAdminName", getSafeAdminName())
            .append("safeDirId", getSafeDirId())
            .append("safeDirName", getSafeDirName())
            .append("lastWeekRisk", getLastWeekRisk())
            .append("thisWeekRisk", getThisWeekRisk())
            .append("safeCondition", getSafeCondition())
            .append("nextWeekWork", getNextWeekWork())
            .append("safeAdminSug", getSafeAdminSug())
            .append("safeDirSug", getSafeDirSug())
            .toString();
    }
}
